Bug 236192 - C++20 <version> poisoning
Summary: C++20 <version> poisoning
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on:
Blocks: 236062
  Show dependency treegraph
 
Reported: 2019-03-04 03:57 UTC by Jan Beich
Modified: 2019-03-06 08:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-03-04 03:57:03 UTC
$ poudriere jail -cj clang8 -v projects/clang800-import -m svn+https
$ poudriere testport -j clang8 mail/notmuch
[...]
c++ -c  -O2 -pipe -fstack-protector -fno-strict-aliasing   -Wall -Wextra -Wwrite-strings  -I./util -I./compat -I./lib -fPIC -fvisibility=hidden -I./parse-time-string -I.  -fvisibility-inlines-hidden -I/usr/local/include/gmime-2.6 -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -pthread  -I/usr/local/include   -DHAVE_VALGRIND=0  -DHAVE_GETLINE=1 -DWITH_EMACS=0 -DHAVE_CANONICALIZE_FILE_NAME=0 -DHAVE_STRCASESTR=1 -DHAVE_STRSEP=1 -DHAVE_TIMEGM=1 -DHAVE_D_TYPE=1 -DSTD_GETPWUID=1 -DSTD_ASCTIME=1 -DHAVE_GMIME_SESSION_KEYS=1 -DHAVE_XAPIAN_COMPACT=1 -DSILENCE_XAPIAN_DEPRECATION_WARNINGS -DHAVE_XAPIAN_FIELD_PROCESSOR=1 -DHAVE_XAPIAN_DB_RETRY_LOCK=1 -I/usr/local/include lib/database.cc -o lib/database.o -MD -MP -MF .deps/lib/database.d
In file included from lib/database.cc:21:
In file included from ./lib/database-private.h:39:
In file included from /usr/local/include/xapian.h:56:
In file included from /usr/local/include/xapian/error.h:30:
In file included from /usr/include/c++/v1/string:505:
In file included from /usr/include/c++/v1/string_view:176:
In file included from /usr/include/c++/v1/__string:57:
In file included from /usr/include/c++/v1/algorithm:640:
In file included from /usr/include/c++/v1/initializer_list:47:
In file included from /usr/include/c++/v1/cstddef:38:
./version:1:1: error: expected unqualified-id
0.28.1
^

http://package18.nyi.freebsd.org/data/headamd64PR236062-default/2019-03-01_06h42m53s/logs/errors/notmuch-0.28.1.log

Regressed by https://reviews.llvm.org/rL342073
Comment 1 Jan Beich freebsd_committer 2019-03-04 04:07:18 UTC
Looks like C++20 defines <version> while -I. (unlike -iquote.) ignores <...> vs. "..." difference.

https://en.cppreference.com/w/cpp/header/version

$ cat version
garbage

$ cat a.cc
#include <string>
int main() {}

$ c++ -I. a.cc
In file included from a.cc:1:
In file included from /usr/include/c++/v1/string:505:
In file included from /usr/include/c++/v1/string_view:176:
In file included from /usr/include/c++/v1/__string:57:
In file included from /usr/include/c++/v1/algorithm:640:
In file included from /usr/include/c++/v1/initializer_list:47:
In file included from /usr/include/c++/v1/cstddef:38:
./version:1:1: error: unknown type name 'garbage'
garbage
^
Comment 2 commit-hook freebsd_committer 2019-03-04 04:36:07 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 04:35:14 UTC 2019
New revision: 494546
URL: https://svnweb.freebsd.org/changeset/ports/494546

Log:
  mail/notmuch: unbreak with libc++ 8

  In file included from lib/database.cc:21:
  In file included from ./lib/database-private.h:39:
  In file included from /usr/local/include/xapian.h:56:
  In file included from /usr/local/include/xapian/error.h:30:
  In file included from /usr/include/c++/v1/string:505:
  In file included from /usr/include/c++/v1/string_view:176:
  In file included from /usr/include/c++/v1/__string:57:
  In file included from /usr/include/c++/v1/algorithm:640:
  In file included from /usr/include/c++/v1/initializer_list:47:
  In file included from /usr/include/c++/v1/cstddef:38:
  ./version:1:1: error: expected unqualified-id
  0.28.1
  ^

  PR:		236192
  Approved by:	portmgr blanket

Changes:
  head/mail/notmuch/Makefile
Comment 3 Jan Beich freebsd_committer 2019-03-04 04:37:50 UTC
Nevermind. As -iquote was enough renaming[1] version to version.txt wasn't necessary.


[1] An example how ugly it would've looked:

	post-patch:
	# Avoid conflict with C++20 <version>
		@${MV} ${WRKSRC}/version ${WRKSRC}/version.txt
		@${REINPLACE_CMD} -i .c++20 '/version.stamp:/s/version$$/&.txt/' \
			${WRKSRC}/Makefile.local
		@${REINPLACE_CMD} -i .c++20 "s/'version/&.txt/" \
			${WRKSRC}/devel/nmbug/doc/conf.py \
			${WRKSRC}/devel/RELEASING \
			${WRKSRC}/doc/conf.py
Comment 4 commit-hook freebsd_committer 2019-03-04 04:59:28 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 04:59:07 UTC 2019
New revision: 494547
URL: https://svnweb.freebsd.org/changeset/ports/494547

Log:
  devel/libcutl: unbreak with libc++ 8

  In file included from exception.cxx:5:
  In file included from /usr/include/c++/v1/typeinfo:61:
  In file included from /usr/include/c++/v1/exception:81:
  In file included from /usr/include/c++/v1/cstddef:38:
  ../version:1:1: error: expected unqualified-id
  1.10.0
  ^

  PR:		236192
  Approved by:	portmgr blanket

Changes:
  head/devel/libcutl/Makefile
  head/devel/libcutl/pkg-plist
Comment 5 Jan Beich freebsd_committer 2019-03-04 05:07:35 UTC
A quick grep(1) on error logs shows the bustage is common. 2 ports fixed and at least 14 left...

audio/skype-call-recorder
biology/bedtools
devel/gzstream
devel/libcutl
devel/simgear
games/gtkradiant
irc/anope
mail/courier
mail/notmuch
math/gap
math/tblis
multimedia/zoneminder
net-im/psi
net-p2p/torrent-file-editor
sysutils/gsmartcontrol
textproc/groonga
Comment 6 Jan Beich freebsd_committer 2019-03-04 05:12:16 UTC
.
Comment 7 Jan Beich freebsd_committer 2019-03-04 05:30:13 UTC
libstdc++ is more careful to avoid poisoning earlier C++ standards unlike libc++:

$ fgrep -r 'include <version>' /usr/local/lib/gcc9/
/usr/local/lib/gcc9/include/c++/x86_64-portbld-freebsd11.2/bits/stdc++.h:#include <version>

/usr/local/lib/gcc9/include/c++/x86_64-portbld-freebsd13.0/bits/stdc++.h:
#if __cplusplus > 201703L
#include <bit>
// #include <compare>
// #include <span>
// #include <syncstream>
#include <version>
#endif

vs.

$ fgrep -r 'include <version>' /usr/include/c++/v1
/usr/include/c++/v1/utility:#include <version>
/usr/include/c++/v1/memory:#include <version>
/usr/include/c++/v1/unordered_map:#include <version>
/usr/include/c++/v1/atomic:#include <version>
/usr/include/c++/v1/cstddef:#include <version>
/usr/include/c++/v1/limits:#include <version>
/usr/include/c++/v1/numeric:#include <version>
...
Comment 8 commit-hook freebsd_committer 2019-03-04 05:48:09 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 05:47:20 UTC 2019
New revision: 494551
URL: https://svnweb.freebsd.org/changeset/ports/494551

Log:
  devel/gzstream: unbreak with libc++ 8

  In file included from gzstream.C:29:
  In file included from ./gzstream.h:33:
  In file included from /usr/include/c++/v1/iostream:38:
  In file included from /usr/include/c++/v1/ios:216:
  In file included from /usr/include/c++/v1/__locale:15:
  In file included from /usr/include/c++/v1/string:505:
  In file included from /usr/include/c++/v1/string_view:176:
  In file included from /usr/include/c++/v1/__string:57:
  In file included from /usr/include/c++/v1/algorithm:640:
  In file included from /usr/include/c++/v1/initializer_list:47:
  In file included from /usr/include/c++/v1/cstddef:38:
  ./version:1:1: error: expected unqualified-id
  1.5 (08 Jan 2003)
  ^

  PR:		236192

Changes:
  head/devel/gzstream/Makefile
Comment 9 commit-hook freebsd_committer 2019-03-04 06:43:58 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 06:43:07 UTC 2019
New revision: 494553
URL: https://svnweb.freebsd.org/changeset/ports/494553

Log:
  audio/skype-call-recorder: unbreak with libc++ 8

  In file included from call.cpp:24:
  In file included from /usr/local/include/qt4/QtCore/QStringList:1:
  In file included from /usr/local/include/qt4/QtCore/qstringlist.h:45:
  In file included from /usr/local/include/qt4/QtCore/qalgorithms.h:45:
  In file included from /usr/local/include/qt4/QtCore/qglobal.h:68:
  In file included from /usr/include/c++/v1/algorithm:640:
  In file included from /usr/include/c++/v1/initializer_list:47:
  In file included from /usr/include/c++/v1/cstddef:38:
  version:1:1: error: expected unqualified-id
  0.11
  ^

  PR:		236192
  Approved by:	portmgr blanket

Changes:
  head/audio/skype-call-recorder/Makefile
Comment 10 commit-hook freebsd_committer 2019-03-04 06:56:09 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 06:55:09 UTC 2019
New revision: 494554
URL: https://svnweb.freebsd.org/changeset/ports/494554

Log:
  biology/bedtools: unbreak with libc++ 8

  In file included from FileReader.cpp:1:
  In file included from /usr/include/c++/v1/iostream:38:
  In file included from /usr/include/c++/v1/ios:216:
  In file included from /usr/include/c++/v1/__locale:15:
  In file included from /usr/include/c++/v1/string:505:
  In file included from /usr/include/c++/v1/string_view:176:
  In file included from /usr/include/c++/v1/__string:57:
  In file included from /usr/include/c++/v1/algorithm:640:
  In file included from /usr/include/c++/v1/initializer_list:47:
  In file included from /usr/include/c++/v1/cstddef:38:
  ../../../utils//gzstream/version:1:1: error: expected unqualified-id
  1.5 (08 Jan 2003)
  ^

  PR:		236192
  Approved by:	portmgr blanket

Changes:
  head/biology/bedtools/Makefile
Comment 11 commit-hook freebsd_committer 2019-03-04 07:07:20 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 07:06:48 UTC 2019
New revision: 494555
URL: https://svnweb.freebsd.org/changeset/ports/494555

Log:
  devel/simgear: unbreak with libc++ 8

  In file included from simgear/bucket/newbucket.cxx:30:
  In file included from /usr/include/c++/v1/cmath:305:
  In file included from /usr/include/c++/v1/math.h:309:
  In file included from /usr/include/c++/v1/type_traits:406:
  In file included from /usr/include/c++/v1/cstddef:38:
  version:1:1: error: expected unqualified-id
  2018.3.2
  ^

  PR:		236192
  Approved by:	portmgr blanket

Changes:
  head/devel/simgear/Makefile
Comment 12 commit-hook freebsd_committer 2019-03-04 07:10:24 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 07:09:41 UTC 2019
New revision: 494556
URL: https://svnweb.freebsd.org/changeset/ports/494556

Log:
  games/gtkradiant: unbreak with libc++ 8

  In file included from plugins/archivepak/plugin.cpp:24:
  In file included from include/iarchive.h:25:
  In file included from /usr/include/c++/v1/cstddef:38:
  include/version:1:1: error: expected unqualified-id
  1.5.0
  ^

  PR:		236192
  Approved by:	portmgr blanket

Changes:
  head/games/gtkradiant/files/patch-makeversion.py
Comment 13 commit-hook freebsd_committer 2019-03-04 07:22:35 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 07:21:58 UTC 2019
New revision: 494557
URL: https://svnweb.freebsd.org/changeset/ports/494557

Log:
  irc/anope: unbreak with libc++ 8

  In file included from src/access.cpp:12:
  In file included from include/service.h:15:
  In file included from include/services.h:22:
  In file included from /usr/include/c++/v1/stdexcept:46:
  In file included from /usr/include/c++/v1/exception:81:
  In file included from /usr/include/c++/v1/cstddef:38:
  include/version:1:1: error: expected unqualified-id
  <U+007F>ELF<U+0002><U+0001><U+0001> <U+0000><U+0000><U+0000><U+0000><U+0000><U+0000><U+0000><U+0000><U+0002><U+0000>><U+0000><U+0001><U+0000><U+0000><U+0000><U+0000>P <U+0000><U+0000><U+0000><U+0000><U+0000>@<U+0000><U+0000><U+0000><U+0000><U+0000><U+0000><U+0000><F0>"<U+0001><U+0000><U+0000><U+0000><U+0000><U+0000><U+0000><U+0000><U+0000><U+0000>@<U+0000>8
  ^

  PR:		236192
  Approved by:	portmgr blanket

Changes:
  head/irc/anope/Makefile
Comment 14 commit-hook freebsd_committer 2019-03-04 10:10:53 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 10:10:22 UTC 2019
New revision: 494575
URL: https://svnweb.freebsd.org/changeset/ports/494575

Log:
  mail/courier: unbreak with libc++ 8

  In file included from afxpipe.C:6:
  In file included from ./afx.h:15:
  In file included from /usr/include/c++/v1/iostream:38:
  In file included from /usr/include/c++/v1/ios:216:
  In file included from /usr/include/c++/v1/__locale:15:
  In file included from /usr/include/c++/v1/string:505:
  In file included from /usr/include/c++/v1/string_view:176:
  In file included from /usr/include/c++/v1/__string:57:
  In file included from /usr/include/c++/v1/algorithm:640:
  In file included from /usr/include/c++/v1/initializer_list:47:
  In file included from /usr/include/c++/v1/cstddef:38:
  ../version:1:1: error: expected unqualified-id
  0.65.3
  ^

  PR:		236192
  Approved by:	portmgr blanket

Changes:
  head/mail/courier/Makefile
Comment 15 commit-hook freebsd_committer 2019-03-04 10:36:15 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 10:35:34 UTC 2019
New revision: 494578
URL: https://svnweb.freebsd.org/changeset/ports/494578

Log:
  math/gap: unbreak with libc++ 8

  In file included from src/bistellar_move.cpp:9:
  In file included from src/bistellar_move.h:12:
  In file included from /usr/include/c++/v1/iostream:38:
  In file included from /usr/include/c++/v1/ios:216:
  In file included from /usr/include/c++/v1/__locale:15:
  In file included from /usr/include/c++/v1/string:505:
  In file included from /usr/include/c++/v1/string_view:176:
  In file included from /usr/include/c++/v1/__string:57:
  In file included from /usr/include/c++/v1/algorithm:640:
  In file included from /usr/include/c++/v1/initializer_list:47:
  In file included from /usr/include/c++/v1/cstddef:38:
  ./version:1:1: error: expected unqualified-id
  2.1.7
  ^

  PR:		236192
  Approved by:	portmgr blanket

Changes:
  head/math/gap/Makefile
Comment 16 commit-hook freebsd_committer 2019-03-04 10:45:29 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 10:44:37 UTC 2019
New revision: 494581
URL: https://svnweb.freebsd.org/changeset/ports/494581

Log:
  math/tblis: unbreak with libc++ 8

  In file included from src/iface/1v/add.cxx:1:
  In file included from src/iface/1v/add.h:4:
  In file included from src/iface/1v/../../util/thread.h:10:
  In file included from ./src/external/tci/tci.h:4:
  In file included from ./src/external/tci/tci/barrier.h:7:
  In file included from src/external/tci/tci/mutex.h:50:
  In file included from /usr/include/c++/v1/system_error:147:
  In file included from /usr/include/c++/v1/type_traits:406:
  In file included from /usr/include/c++/v1/cstddef:38:
  ./version:1:1: error: expected unqualified-id
  1.0.0
  ^

  PR:		236192
  Approved by:	portmgr blanket

Changes:
  head/math/tblis/Makefile
Comment 17 commit-hook freebsd_committer 2019-03-04 11:22:02 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 11:21:02 UTC 2019
New revision: 494585
URL: https://svnweb.freebsd.org/changeset/ports/494585

Log:
  multimedia/zoneminder: unbreak with libc++ 8

  In file included from src/zm_box.cpp:20:
  In file included from src/zm.h:27:
  In file included from src/zm_config.h:27:
  In file included from /usr/include/c++/v1/string:505:
  In file included from /usr/include/c++/v1/string_view:176:
  In file included from /usr/include/c++/v1/__string:57:
  In file included from /usr/include/c++/v1/algorithm:640:
  In file included from /usr/include/c++/v1/initializer_list:47:
  In file included from /usr/include/c++/v1/cstddef:38:
  version:1:1: error: expected unqualified-id
  1.32.3
  ^

  PR:		236192
  Approved by:	portmgr blanket

Changes:
  head/multimedia/zoneminder/Makefile
Comment 18 commit-hook freebsd_committer 2019-03-04 11:34:13 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 11:33:41 UTC 2019
New revision: 494586
URL: https://svnweb.freebsd.org/changeset/ports/494586

Log:
  net-im/psi: unbreak with libc++ 8

  In file included from src/Certificates/moc_CertificateDisplayDialog.cpp:9:
  In file included from src/Certificates/../../../psi-1.3/src/Certificates/CertificateDisplayDialog.h:23:
  In file included from /usr/local/include/Qca-qt5/QtCrypto/QtCrypto:1:
  In file included from /usr/local/include/Qca-qt5/QtCrypto/qca.h:36:
  In file included from /usr/local/include/Qca-qt5/QtCrypto/qca_core.h:36:
  In file included from /usr/local/include/qt5/QtCore/QString:1:
  In file included from /usr/local/include/qt5/QtCore/qstring.h:48:
  In file included from /usr/local/include/qt5/QtCore/qchar.h:43:
  In file included from /usr/local/include/qt5/QtCore/qglobal.h:45:
  In file included from /usr/include/c++/v1/type_traits:406:
  In file included from /usr/include/c++/v1/cstddef:38:
  version:1:1: error: expected unqualified-id
  1.3
  ^

  PR:		236192

Changes:
  head/net-im/psi/Makefile
Comment 19 commit-hook freebsd_committer 2019-03-04 11:34:15 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 11:33:50 UTC 2019
New revision: 494587
URL: https://svnweb.freebsd.org/changeset/ports/494587

Log:
  net-p2p/torrent-file-editor: unbreak with libc++ 8

  In file included from application.cpp:24:
  In file included from application.h:24:
  In file included from /usr/local/include/qt4/QtGui/QApplication:1:
  In file included from /usr/local/include/qt4/QtGui/qapplication.h:45:
  In file included from /usr/local/include/qt4/QtCore/qcoreapplication.h:45:
  In file included from /usr/local/include/qt4/QtCore/qobject.h:47:
  In file included from /usr/local/include/qt4/QtCore/qobjectdefs.h:45:
  In file included from /usr/local/include/qt4/QtCore/qnamespace.h:45:
  In file included from /usr/local/include/qt4/QtCore/qglobal.h:68:
  In file included from /usr/include/c++/v1/algorithm:640:
  In file included from /usr/include/c++/v1/initializer_list:47:
  In file included from /usr/include/c++/v1/cstddef:38:
  ./version:1:1: error: expected unqualified-id
  0.3.13
  ^

  PR:		236192
  Approved by:	portmgr blanket

Changes:
  head/net-p2p/torrent-file-editor/Makefile
Comment 20 commit-hook freebsd_committer 2019-03-04 11:52:31 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 11:51:32 UTC 2019
New revision: 494588
URL: https://svnweb.freebsd.org/changeset/ports/494588

Log:
  textproc/groonga: unbreak with libc++ 8

  In file included from cursor-factory.cpp:18:
  In file included from ./cursor-factory.hpp:21:
  In file included from ./cursor.hpp:21:
  In file included from ./key.hpp:21:
  In file included from ./string.hpp:21:
  In file included from ./dat.hpp:26:
  In file included from /usr/include/c++/v1/cstddef:38:
  ../../version:1:1: error: expected unqualified-id
  9.0.0
  ^

  PR:		236192
  Approved by:	portmgr blanket

Changes:
  head/textproc/groonga/Makefile
Comment 21 commit-hook freebsd_committer 2019-03-04 12:22:56 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 12:22:42 UTC 2019
New revision: 494594
URL: https://svnweb.freebsd.org/changeset/ports/494594

Log:
  sysutils/gsmartcontrol: unbreak with libc++ 8

  In file included from dchannel.cpp:12:
  In file included from ../../src/hz/format_unit.h:17:
  In file included from /usr/include/c++/v1/string:505:
  In file included from /usr/include/c++/v1/string_view:176:
  In file included from /usr/include/c++/v1/__string:57:
  In file included from /usr/include/c++/v1/algorithm:640:
  In file included from /usr/include/c++/v1/initializer_list:47:
  In file included from /usr/include/c++/v1/cstddef:38:
  ../../version:1:1: error: expected unqualified-id
  1.1.3
  ^

  PR:		236192

Changes:
  head/sysutils/gsmartcontrol/Makefile
Comment 22 commit-hook freebsd_committer 2019-03-04 18:35:08 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 18:34:56 UTC 2019
New revision: 494630
URL: https://svnweb.freebsd.org/changeset/ports/494630

Log:
  databases/mysql++3: unbreak with libc++ 8

  In file included from ./lib/beemutex.cpp:31:
  In file included from ./lib/beemutex.h:46:
  In file included from ./lib/exceptions.h:34:
  In file included from ./lib/options.h:39:
  In file included from /usr/include/c++/v1/deque:163:
  In file included from /usr/include/c++/v1/__split_buffer:6:
  In file included from /usr/include/c++/v1/type_traits:406:
  In file included from /usr/include/c++/v1/cstddef:38:
  ./version:1:2: error: invalid preprocessing directive
   #!/bin/sh
    ^
  ./version:2:1: error: unknown type name 'echo'
  echo 3.2.2
  ^
  ./version:2:6: error: expected unqualified-id
  echo 3.2.2
       ^

  PR:		236192
  Approved by:	portmgr blanket

Changes:
  head/databases/mysql++3/Makefile
Comment 23 commit-hook freebsd_committer 2019-03-04 18:36:10 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 18:35:03 UTC 2019
New revision: 494631
URL: https://svnweb.freebsd.org/changeset/ports/494631

Log:
  science/hypre: unbreak with libc++ 8

  In file included from FEI_HYPRE_Impl.cxx:22:
  In file included from /usr/include/c++/v1/math.h:309:
  In file included from /usr/include/c++/v1/type_traits:406:
  In file included from /usr/include/c++/v1/cstddef:38:
  ./../../utilities/version:1:2: error: invalid preprocessing directive
   #!/bin/sh
    ^
  ./../../utilities/version:2:2: error: invalid preprocessing directive
   #BHEADER**********************************************************************
    ^
  ./../../utilities/version:3:3: error: invalid preprocessing directive
   # Copyright (c) 2008,  Lawrence Livermore National Security, LLC.
     ^
  [...]

  PR:		236192
  Approved by:	portmgr blanket

Changes:
  head/science/hypre/Makefile
Comment 24 commit-hook freebsd_committer 2019-03-06 08:21:45 UTC
A commit references this bug:

Author: jbeich
Date: Wed Mar  6 08:21:23 UTC 2019
New revision: 494781
URL: https://svnweb.freebsd.org/changeset/ports/494781

Log:
  databases/mroonga: unbreak with libc++ 8

  In file included from mrn_path_mapper.cpp:22:
  In file included from ../mrn_mysql.h:46:
  In file included from /wrkdirs/usr/ports/databases/mysql56-server/work/mysql-5.6.43/sql/sql_plugin.h:19:
  In file included from /wrkdirs/usr/ports/databases/mysql56-server/work/mysql-5.6.43/include/my_global.h:319:
  In file included from /usr/include/c++/v1/math.h:309:
  In file included from /usr/include/c++/v1/type_traits:406:
  In file included from /usr/include/c++/v1/cstddef:38:
  ../version:1:1: error: expected unqualified-id
  9.00
  ^

  PR:		236192
  Approved by:	portmgr blanket

Changes:
  head/databases/mroonga/Makefile
Comment 25 commit-hook freebsd_committer 2019-03-06 08:21:47 UTC
A commit references this bug:

Author: jbeich
Date: Wed Mar  6 08:21:30 UTC 2019
New revision: 494782
URL: https://svnweb.freebsd.org/changeset/ports/494782

Log:
  devel/xsd: unbreak with libc++ 8

  In file included from xsd/xsd/xsd.cxx:5:
  In file included from /usr/include/c++/v1/map:480:
  In file included from /usr/include/c++/v1/__tree:15:
  In file included from /usr/include/c++/v1/iterator:417:
  In file included from /usr/include/c++/v1/__functional_base:15:
  In file included from /usr/include/c++/v1/type_traits:406:
  In file included from /usr/include/c++/v1/cstddef:38:
  libxsd-frontend/version:1:1: error: expected unqualified-id
  2.0.0
  ^

  PR:		236192
  Reported by:	pkg-fallout
  Approved by:	portmgr blanket

Changes:
  head/devel/xsd/Makefile
Comment 26 commit-hook freebsd_committer 2019-03-06 08:21:48 UTC
A commit references this bug:

Author: jbeich
Date: Wed Mar  6 08:21:36 UTC 2019
New revision: 494783
URL: https://svnweb.freebsd.org/changeset/ports/494783

Log:
  games/flightgear: unbreak with libc++ 8

  In file included from utils/fgelev/fgelev.cxx:23:
  In file included from /usr/include/c++/v1/iostream:38:
  In file included from /usr/include/c++/v1/ios:216:
  In file included from /usr/include/c++/v1/__locale:15:
  In file included from /usr/include/c++/v1/string:505:
  In file included from /usr/include/c++/v1/string_view:176:
  In file included from /usr/include/c++/v1/__string:57:
  In file included from /usr/include/c++/v1/algorithm:640:
  In file included from /usr/include/c++/v1/initializer_list:47:
  In file included from /usr/include/c++/v1/cstddef:38:
  version:1:1: error: expected unqualified-id
  2018.3.2
  ^

  PR:		236192
  Reported by:	pkg-fallout
  Approved by:	portmgr blanket

Changes:
  head/games/flightgear/Makefile